### Method

# Soup Server accept_iostream

#### Declaration [src]

    gboolean
    soup_server_accept_iostream (
      SoupServer* server,
      GIOStream* stream,
      GSocketAddress* local_addr,
      GSocketAddress* remote_addr,
      GError** error
    )

#### Description [src]

Adds a new client stream to the `server`.

#### Parameters

`stream`

  Type: `GIOStream`

  A `GIOStream`.

  The data is owned by the caller of the method.

`local_addr`

  Type: `GSocketAddress`

  The local `GSocketAddress` associated with the `stream`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`remote_addr`

  Type: `GSocketAddress`

  The remote `GSocketAddress` associated with the `stream`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if the stream could not be accepted or any other error occurred (in which case `error` will be set).